ubuntu server执行vagrant plugin install vagrant-vbguest出错

最近在ubuntu server 16.04 执行vagrant plugin install vagrant-vbguest出错,在网上查看了些解决方法,最后是这样解决的。我的vagrant版本是2.0.1,通过dpkg命令安装的。

方法一,可以先修改gem sources试试,步骤如下:

1,首先输入gem sources -l   查看当前的gem sources,

2,删除当前的gem sources,输入gem sources -r  current gem sources(此处为第一步查看到的sources)

如果没有修改过一般默认是https://rubygems.org/,就可以输入下面内容,

3,添加新的gem sources,不要再换成淘宝的https://ruby.taobao.org/了,这个已经不再维护了,可以换成
https://gems.ruby-china.org/
输入下面内容即可
 gem sources -a https://gems.ruby-china.org/

方法二,按照以上步骤修改gem源后,再执行vagrant plugin install vagrant-vbguest还报如下错误的话


可以输入下面内容


我按照方法一修改不行,再跟着方法二修改就可以了。中间一定要保证网络是连网的哟。如果还没能解决,可以试试用gem来install vagrant-vbguest,但这个方法好像是适用于用ruby来装的vagrant ,并且vagrant 版本比较低的情况下。

©️2020 CSDN 皮肤主题: 大白 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值